Creates a new job_estimated_quantity object
Request Information
URI Parameters :
None.
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "24d20065-685c-45f5-af80-86e8ed302396",
"estimated_quantity": 2.0,
"article_id": "8c8807e8-a2ad-40c7-ba95-5800899cac4d",
"article_code": "sample string 4",
"article": {
"id": "d7541405-6ea2-4269-83ea-de10a581a529",
"article_category_id": "fa679252-f162-44ca-8d04-b4e96790972d",
"article_category": {
"id": "d6c5aa15-d50d-4faa-843e-d8608e0be622",
"parent_id": "61536872-2e5f-4b21-a6c9-56e2824671cf",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "6d1b9c6f-ede0-481c-852b-5fb5d721cae2",
"article_group_1_code": "sample string 5",
"article_group_2_id": "f6c7062d-d208-4d18-9b68-627defb4e715",
"article_group_2_code": "sample string 7",
"article_group_3_id": "db11fe2a-e909-42f7-b68a-bc81ae00c32e",
"article_group_3_code": "sample string 9",
"article_group_4_id": "d11e19d0-0f5e-41ac-96f0-e9b3068b6fad",
"article_group_4_code": "sample string 11",
"article_group_5_id": "dba65637-c603-4cf7-9a6b-62f3bd98c4cc",
"article_group_5_code": "sample string 13",
"article_group_6_id": "115ba511-e7b1-46b1-8109-f570a09f56c6",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-10-15T14:07:33.6332707+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-10-15T14:07:33.6332707+00:00",
"date_update": "2026-10-15T14:07:33.6332707+00:00",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00",
"article_color_id": "3d97bbb2-6720-43c9-ac42-bbbbcc11ec18",
"article_color_code": "sample string 38",
"article_color": {
"id": "07c047f3-a54f-44be-bee8-2c1d94e5134e",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "7b1bbefd-1204-4be3-93ee-cb39c646bdea",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "a88b4a69-95a8-4ded-880e-9a31efac4afe",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "6ff3fae5-be9f-45c9-92b9-8eca937d1716",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "b16846ef-d28e-4ceb-af3d-739119069dab",
"_parent_id": "e26ff30a-3eb3-48a5-a913-c85179362237",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "6627f1fc-2b74-435f-a9b3-049c13d34eaa",
"project_reference_back_office": "sample string 5",
"project": {
"id": "79389948-8d0f-4eb2-90a9-46fae8f3b008",
"_parent_id": "9dd54797-151f-427e-ae3b-ed7f0486c18e",
"root_parent_id": "b02bf1ad-bee5-4481-bf62-4d3e40abdc60",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "fbfcd06a-531a-4912-b2b1-47301cfa0307",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "7364d030-bc2c-42e2-913b-2b7019fadf14",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "67a732bb-69b8-4496-a141-6bc2e44b2041",
"_parent_code": "sample string 6",
"sales_organization_id": "1eabd60c-9cb3-4615-8edb-1d79d4d9bcde",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"equipment_model_id": "189b7b6e-bc2c-498d-9e0b-0019fd93a266",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "2411b14c-f85d-4332-a675-0f39a2aa38db",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "4084f57c-fae1-45c3-8792-fb663ba1d6b0",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "c5f4e2a8-fdbc-4798-8348-41427c0c7cfe",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "79000daa-7ae1-4689-8c6c-df225fd12be3",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"equipment_family_id": "79fd297d-d6da-47af-b999-d9893ba22644",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "7364d030-bc2c-42e2-913b-2b7019fadf14",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "67a732bb-69b8-4496-a141-6bc2e44b2041",
"_parent_code": "sample string 6",
"sales_organization_id": "1eabd60c-9cb3-4615-8edb-1d79d4d9bcde",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"date_in_production_since": "2026-10-15T14:07:33.6332707+00:00",
"date_out_of_production_since": "2026-10-15T14:07:33.6332707+00:00",
"date_end_support": "2026-10-15T14:07:33.6332707+00:00",
"sales_organization_id": "68b0f63f-f339-4b89-af64-aa9656eec5b9",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"project_status_id": "c7e14fd3-3f85-4493-b4c5-fdd4bc335ab6",
"project_status_code": "sample string 10",
"project_status": {
"id": "3ea0bb71-1075-4c59-aa13-1dbb44fc9763",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "071e6423-9b2c-4849-a8f1-0fbe49312e1f",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"company_id": "f8d78e3d-3adb-45fb-b2f5-d5e07d186cc8",
"company_code": "sample string 12",
"db_address_id": "d94a3960-795d-4e41-bca6-e8280a4422be",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "d2ba5bca-5f5b-4d6c-beb0-53c9584d05a2",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "fb809a96-a435-4ca8-9b3e-0dd04f2a5cfe",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-10-15T14:07:33.6332707+00:00",
"date_create": "2026-10-15T14:07:33.6332707+00:00",
"date_update": "2026-10-15T14:07:33.6332707+00:00",
"updated_by_user_id": "d39efd30-e6bd-48f1-8de8-ada296a027ab",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-10-15T14:07:33.6332707+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-10-15T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-10-15T14:07:33.6332707+00:00",
"date_last_job": "2026-10-15T14:07:33.6332707+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-10-15T14:07:33.6332707+00:00",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00",
"is_mobile_installation": true
},
"job_type_id": "33cd881d-ce63-4102-90f0-d5dbe4154df9",
"job_type_code": "sample string 7",
"job_type": {
"id": "d2f6d97d-e4cc-4bff-8844-cb95c5e5a77a",
"name": "sample string 2",
"sales_organization_id": "9749a7a5-ccfc-45c2-bdad-09c515bde01f",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-15T14:07:33.6480855+00:00",
"code": "sample string 7"
},
"job_priority_id": "ba2fc0fd-9cc5-4a1e-a567-e16b0ea5d87a",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "ed3c3af4-1d20-4de9-8908-aeb00946684a",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "11f3bb47-9861-436a-9b30-3c575bd97e1d",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-10-15T14:07:33.6480855+00:00"
},
"job_status_id": "6e1b28d2-8e07-4b5e-97af-694f00867463",
"job_status_code": "sample string 11",
"db_address_id": "e7eb0e7f-1bd2-4d12-ab87-ffba9a775310",
"contact_id": "3bc6f7e9-4766-49fc-943b-60cf487f483a",
"requested_by_company_id": "a0969d98-9355-46c5-b8cc-4e9b5ac6e710",
"requested_by_contact_id": "7205584a-40b7-4c45-bb05-a952388cdcde",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-10-15T14:07:33.6480855+00:00",
"due_date": "2026-10-15T14:07:33.6480855+00:00",
"date_create": "2026-10-15T14:07:33.6480855+00:00",
"date_update": "2026-10-15T14:07:33.6480855+00:00",
"date_closed": "2026-10-15T14:07:33.6480855+00:00",
"suggested_user_id": "059e5c24-797e-40a6-91b3-c4994cc26ee4",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "f813998c-afe3-411d-a882-060248df6ec3",
"db_language_id": "1100004c-dc68-4ff6-8d73-55e4dd9411c9",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-15T14:07:33.6480855+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "8e2893ea-13b7-4106-92c5-9c6a33624794",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "7da3af25-4f75-4074-af31-dab82ef4975b",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "d96d0886-7148-47d3-9dcd-14bf75b7c8c2",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-15T14:07:33.6480855+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "c2ff7117-865f-4815-8265-42d9b37c4d6f"
},
"suggested_date_start": "2026-10-15T14:07:33.6480855+00:00",
"skill_id": "f04cc5ce-5e98-42cc-8b11-aed0e35eb502",
"skill_code": "sample string 32",
"skill": {
"id": "78c530ee-d2ac-4bca-9a0b-b6a8abeb36bd",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "2a0ba287-9c68-4d84-97de-afa5cf5e7918",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e74c762b-77af-4421-ad61-c8ff2c813122",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9b2740b9-2c55-460b-8237-e4955cb3ac3c",
"db_currency_id": "44a6b3f5-02be-45c3-a777-d586661ff3a8",
"db_language_id": "81d64e92-8496-4d1d-bb5a-781350e1f7c0",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T14:07:33.6332707+00:00"
},
"modified_dateutc": "2026-10-15T14:07:33.6480855+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "452e3f08-d783-4921-80f5-37bb58ab7298",
"date_reported_by_company": "2026-10-15T14:07:33.6480855+00:00",
"id2": 36,
"company_id": "c393f78a-e15a-42c0-97b4-371e7f2c2b77",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "0bfad687-e4cd-47f2-8824-cece365b7b20",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-10-15T14:07:33.6480855+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-15T14:07:33.6480855+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.